Subject: Re: [PATCH v6 0/3] pack-bitmap: fix memory leak if load_bitmap failed

From: Taylor Blau <[email-masked]>
Date: Tue, 8 Jul 2025 18:10:45 -0400

On Mon, Jul 07, 2025 at 03:53:10PM -0700, Junio C Hamano wrote:
> "Lidong Yan via GitGitGadget" <[email-masked]> writes:
>
> > Since it seems this patch has been inactive for some time, I have revised
> > the comments according to Taylor's feedback and submitted a new version.
> >
> > This patch prevents pack-bitmap.c:load_bitmap() from nulling
> > bitmap_git->bitmap when loading failed. Thus eliminates memory leak. This
> > patch also add a test case in t5310 which use clang leak sanitizer to detect
> > whether leak happens when loading failed.
> >
> > Lidong Yan (2):
> >   pack-bitmap: reword comments in test_bitmap_commits()
> >   pack-bitmap: add load corrupt bitmap test
> >
> > Taylor Blau (1):
> >   pack-bitmap: fix memory leak if load_bitmap() failed
>
> OK, now, how does this iteration look to folks?  We haven't heard
> anybody say yet.  Is it ready to be marked for 'next' yet?

Oops, this fell off of my review queue. This version looks great to me.
Thanks, Lidong!

Thanks,
Taylor